/*---------------------------------------------------
-----------------------------------------------------
Filename:	BR1.m

Tankevich Denis mods

-----------------------------------------------------
---------------------------------------------------*/


#include <lib/std.mi>
#include <lib/pldir.mi>
#include <lib/application.mi>


//Browser Stuff
Function Boolean isUrl (String t);
Function string prepareWebString(string url, string replace);
Function string strReplace(string str, string replace, string by);
Global String BROWSER_DEFAULT_HOME;

Global String sFav1, sFav2;

Global Container results_container;
Global Layout results_layout;

Global String DFX;
Function BrowserReload();


Global Group myGroup, gBarAuto, gBarMan;


Global List loaded_P_Names, loaded_P_Url, loaded_P_Icons;
Global int sourceNo, h_tune, tempI;
Global boolean onetime, continueLoad, skipForwardHide, cooldowned;

//Global ToggleButton enabledSwitch;
Global Button menuOptions, dropListButton;
Global PopUpMenu popMenu;
Global GuiObject browserXUI, fakeSB;
Global Browser DFXBrowser;

Global GuiObject lBarAuto, lBarMan;
Global Button bback, bffwd, brefresh, bhome, bMypc, bPic, bVid, bMus, bDown, bDesk, bFav1, bFav2, bopenout;
Global Togglebutton modeToggle;
Global Edit navurl;
Global String firstURL, lastURL, lastestURL;
Global PopUpMenu popMenu;


Global Timer focus_callback, cooldown;

System.onScriptLoaded(){
   
    BROWSER_DEFAULT_HOME = "shell:mycomputerfolder";
    
    sFav1 = "shell:RecycleBinFolder";
	sFav2 = "shell:Recent";

	
	
	myGroup = getScriptGroup();
	DFXBrowser = myGroup.findObject("browserDeFiX");
	bback = myGroup.findObject("browser.back");
	bffwd = myGroup.findObject("browser.fwd");

	
	bopenout = myGroup.findObject("browser.Oo");
    
	bMypc = myGroup.findObject("browser.MyPc");
	bPic = myGroup.findObject("browser.Pic");
	bVid = myGroup.findObject("browser.Vid");
	bMus = myGroup.findObject("browser.Mus");
	bDown = myGroup.findObject("browser.Down");
	bDesk = myGroup.findObject("browser.Desk");
	
	bFav1 = myGroup.findObject("browser.Fav1");
	bFav2 = myGroup.findObject("browser.Fav2");
	
	
	navurl = myGroup.findObject("address.bar");
	navurl.show();
	bhome = myGroup.findObject("browser.home");
	//brefresh = myGroup.findObject("browser.refresh");

	focus_callback = new Timer;
	focus_callback.setDelay(100);

	cooldown = new Timer;
	cooldown.setDelay(500);

	

    String nu = getPrivateString("Winamp Defix", "Browser v2 Home", "");
	if (nu == "")
	{
		nu = BROWSER_DEFAULT_HOME;
	}
	
    navurl.setText(nu);
	DFXBrowser.navigateUrl(nu);
}



System.onScriptUnloading (){

	focus_callback.stop();
	delete loaded_P_Names;
	delete loaded_P_Url;
	delete focus_callback;
}


bopenout.onLeftButtonUp(int x, int y){
	System.navigateUrl(lastestURL);
	complete;
}

bMypc.onLeftClick ()
{
	navurl.setText(BROWSER_DEFAULT_HOME);

	browserReload();
}

bPic.onLeftClick ()
{
	navurl.setText("shell:My Pictures");

	browserReload();
}

bVid.onLeftClick ()
{
	navurl.setText("shell:My Video");

	browserReload();
}

bMus.onLeftClick ()
{
	navurl.setText("shell:My Music");

	browserReload();
}

bDown.onLeftClick ()
{
	navurl.setText("shell:downloads");

	browserReload();
}

bDesk.onLeftClick ()
{
	navurl.setText("shell:desktop");

	browserReload();
}




bFav1.onLeftClick ()
{
	String nu = getPrivateString("Winamp Defix", "Browser v2 Fav1", "");
	if (nu == "")
	{
		nu = sFav1;
		
	}
	
	navurl.setText(nu);

	browserReload();
}


bFav1.onRightButtonUp(int x, int y)
{
	popupmenu editmenu = new popupmenu;
	editmenu.addcommand("Set current Page as default Home",1, 0,0);
	editmenu.addcommand("Restore default Home",2, 0,0);

	int ret = editmenu.popatxy(clientToScreenX(bFav1.getLeft()), clientToScreenY(bFav1.getTop() + bFav1.getHeight()));

	if (ret == 1) setPrivateString("Winamp Defix", "Browser v2 Fav1", navurl.getText());
	if (ret == 2) setPrivateString("Winamp Defix", "Browser v2 Fav1", "");

	delete editmenu;
	complete;
}



bFav2.onLeftClick ()
{
	String nu = getPrivateString("Winamp Defix", "Browser v2 Fav2", "");
	if (nu == "")
	{
		nu = sFav2;
		
	}
	
	navurl.setText(nu);

	browserReload();
}


bFav2.onRightButtonUp(int x, int y)
{
	popupmenu editmenu = new popupmenu;
	editmenu.addcommand("Set current Page as default Home",1, 0,0);
	editmenu.addcommand("Restore default Home",2, 0,0);

	int ret = editmenu.popatxy(clientToScreenX(bFav2.getLeft()), clientToScreenY(bFav2.getTop() + bFav2.getHeight()));

	if (ret == 1) setPrivateString("Winamp Defix", "Browser v2 Fav2", navurl.getText());
	if (ret == 2) setPrivateString("Winamp Defix", "Browser v2 Fav2", "");

	delete editmenu;
	complete;
}









bhome.onLeftClick ()
{
	String nu = getPrivateString("Winamp Defix", "Browser v2 Home", "");
	if (nu == "")
	{
		nu = BROWSER_DEFAULT_HOME;
		
	}
	
	navurl.setText(nu);

	browserReload();
}


bhome.onRightButtonUp(int x, int y)
{
	popupmenu editmenu = new popupmenu;
	editmenu.addcommand("Set current Page as default Home",1, 0,0);
	editmenu.addcommand("Restore default Home",2, 0,0);

	int ret = editmenu.popatxy(clientToScreenX(bhome.getLeft()), clientToScreenY(bhome.getTop() + bhome.getHeight()));

	if (ret == 1) setPrivateString("Winamp Defix", "Browser v2 Home", navurl.getText());
	if (ret == 2) setPrivateString("Winamp Defix", "Browser v2 Home", "");

	delete editmenu;
	complete;
}




browserReload()
{
	if (!navurl) return;
	if (!DFXBrowser) return;
	
	string t = navurl.getText();
	
    if (t == "::{20D04FE0-3AEA-1069-A2D8-08002B30309D}") t = BROWSER_DEFAULT_HOME;
	if (t == "::{645FF040-5081-101B-9F08-00AA002F954E}") t = sFav1;
	DFXBrowser.navigateUrl(t);
}



DFXBrowser.onSetVisible(int on) 
{

   browserReload();
}




//----------------------------------------------------------------------------------------------------------------
// Browser main controls.
//----------------------------------------------------------------------------------------------------------------

bback.onLeftClick ()
{
	DFXBrowser.back();
}
bffwd.onLeftClick ()
{
	DFXBrowser.forward();
}

brefresh.onLeftClick(){
	DFXBrowser.refresh();
}

/////////////////////////////////////

navurl.onEnter ()
{
	string t = navurl.getText();

	navurl.setText(t);
	DFXBrowser.navigateUrl(t);
}



// a basic function to replace a substring inside a string
string strReplace(string str, string replace, string by)
{
	int pos;
	int len = strlen(replace);
	while (pos = strsearch(str, replace) > -1)
	{
		string str_ = "";
		String _str = "";

		if (pos > 0) str_ = strleft(str, pos);
		
		pos = strlen(str)-pos-len;
		if (pos > 0) _str = strright(str, pos);

		str = str_ + by + _str;
	}
	return str;
}

DFXBrowser.onAction (String action, String param, Int x, int y, int p1, int p2, GuiObject source)
{
	// Open an URL
	if (strlower(action) == "openurl")
	{
		navurl.setText(param);
		DFXBrowser.navigateUrl(navurl.getText());



		return;
	}
	
	// Websearch
	if (strlower(action) == "search")
	{
        navurl.setText("www.google.com/search?q="+param);
		
		DFXBrowser.navigateUrl(navurl.getText());


		
	}
}


DFXBrowser.onAction (String action, String param, Int x, int y, int p1, int p2, GuiObject source)
{
	// Open an URL
	if (strlower(action) == "openurl")
	{
		navurl.setText(param);
		DFXBrowser.navigateUrl(navurl.getText());

		return;
	}

}

DFXBrowser.onBeforeNavigate(String url, Int flags, String targetframename){
 
	if(firstURL!=""){
		if(url==firstURL){
			bback.setXMLParam("ghost", "1");
			bback.setXMLParam("image", "cpro2.reader.back.0");
		}
		else if(bback.getXMLParam("ghost")=="1"){
			bback.setXMLParam("ghost", "0");
			bback.setXMLParam("image", "cpro2.reader.back.1");
		}
	}
}

cooldown.onTimer()
{
	cooldown.stop();
	cooldowned=false;
}

DFXBrowser.onDocumentReady(String url){
	
	if (url == "about:blank")
	return TRUE;
	lastestURL=url;
	navurl.setText(url);
	cooldowned = true;
	cooldown.start();	
}



