/*---------------------------------------------------
-----------------------------------------------------
Filename:	BR2.m

Tankevich Denis mods

-----------------------------------------------------
---------------------------------------------------*/

#include <lib/std.mi>
#include <lib/pldir.mi>
#include <lib/application.mi>


//Browser Stuff
Function Boolean isUrl (String t);
Function string prepareWebString(string url, string replace);
Function string strReplace(string str, string replace, string by);
Global String BROWSER_DEFAULT_HOME;

Global String MyPc;

Global Container results_container;
Global Layout results_layout;

Global String DFX;
Function BrowserReload();


Global Group myGroup, gBarAuto, gBarMan;


Global List loaded_P_Names, loaded_P_Url, loaded_P_Icons;
Global int sourceNo, h_tune, tempI;
Global boolean onetime, continueLoad, skipForwardHide, cooldowned;

//Global ToggleButton enabledSwitch;
Global Button menuOptions, dropListButton;
Global PopUpMenu popMenu;
Global GuiObject browserXUI, fakeSB;
Global Browser DFXBrowser;

Global GuiObject lBarAuto, lBarMan;
Global Button bback, bffwd, brefresh, bhome, bMypc, bopenout;
Global Togglebutton modeToggle;
Global Edit navurl;
Global String firstURL, lastURL, lastestURL;
Global PopUpMenu popMenu;


Global Timer focus_callback, cooldown;

System.onScriptLoaded(){
   
    BROWSER_DEFAULT_HOME = "shell:mycomputerfolder";
    MyPc = "shell:mycomputerfolder";
	
	myGroup = getScriptGroup();
	DFXBrowser = myGroup.findObject("browserDeFiX2");
	bback = myGroup.findObject("browser.back2");
	bffwd = myGroup.findObject("browser.fwd2");

	
	bopenout = myGroup.findObject("browser.Oo2");
    bMypc = myGroup.findObject("browser.MyPc2");
	
	navurl = myGroup.findObject("address.bar2");
	navurl.show();
	bhome = myGroup.findObject("browser.home2");
	//brefresh = myGroup.findObject("browser.refresh2");

	focus_callback = new Timer;
	focus_callback.setDelay(100);

	cooldown = new Timer;
	cooldown.setDelay(500);

	

    String nu = getPrivateString("Winamp Defix", "Browser v2 Home2", "");
	if (nu == "")
	{
		nu = BROWSER_DEFAULT_HOME;
	}
	
    navurl.setText(nu);
	DFXBrowser.navigateUrl(nu);
}



System.onScriptUnloading (){

	focus_callback.stop();
	delete loaded_P_Names;
	delete loaded_P_Url;
	delete focus_callback;
}


bopenout.onLeftButtonUp(int x, int y){
	System.navigateUrl(lastestURL);
	complete;
}

bMypc.onLeftClick ()
{
	navurl.setText(MyPc);

	browserReload();
}

bhome.onLeftClick ()
{
	String nu = getPrivateString("Winamp Defix", "Browser v2 Home2", "");
	if (nu == "")
	{
		nu = BROWSER_DEFAULT_HOME;
		
	}
	
	navurl.setText(nu);

	browserReload();
}


bhome.onRightButtonUp(int x, int y)
{
	popupmenu editmenu = new popupmenu;
	editmenu.addcommand("Set current Page as default Home",1, 0,0);
	editmenu.addcommand("Restore default Home",2, 0,0);

	int ret = editmenu.popatxy(clientToScreenX(bhome.getLeft()), clientToScreenY(bhome.getTop() + bhome.getHeight()));

	if (ret == 1) setPrivateString("Winamp Defix", "Browser v2 Home2", navurl.getText());
	if (ret == 2) setPrivateString("Winamp Defix", "Browser v2 Home2", "");

	delete editmenu;
	complete;
}

System.onTitleChange (String newtitle)
{
	String path = getPath(getPlayItemMetaDataString("filename"));	
    navurl.setText(path);
	DFXBrowser.navigateUrl(path);

	
}


browserReload()
{
	if (!navurl) return;
	if (!DFXBrowser) return;
	
	string t = navurl.getText();
	
    if (t == "::{20D04FE0-3AEA-1069-A2D8-08002B30309D}") t = BROWSER_DEFAULT_HOME;
	
	DFXBrowser.navigateUrl(t);
}



DFXBrowser.onSetVisible(int on) 
{

   browserReload();
}




//----------------------------------------------------------------------------------------------------------------
// Browser main controls.
//----------------------------------------------------------------------------------------------------------------

bback.onLeftClick ()
{
	DFXBrowser.back();
}
bffwd.onLeftClick ()
{
	DFXBrowser.forward();
}

brefresh.onLeftClick(){
	DFXBrowser.refresh();
}

/////////////////////////////////////

navurl.onEnter ()
{
	string t = navurl.getText();

	navurl.setText(t);
	DFXBrowser.navigateUrl(t);
}



// a basic function to replace a substring inside a string
string strReplace(string str, string replace, string by)
{
	int pos;
	int len = strlen(replace);
	while (pos = strsearch(str, replace) > -1)
	{
		string str_ = "";
		String _str = "";

		if (pos > 0) str_ = strleft(str, pos);
		
		pos = strlen(str)-pos-len;
		if (pos > 0) _str = strright(str, pos);

		str = str_ + by + _str;
	}
	return str;
}

DFXBrowser.onAction (String action, String param, Int x, int y, int p1, int p2, GuiObject source)
{
	// Open an URL
	if (strlower(action) == "openurl")
	{
		navurl.setText(param);
		DFXBrowser.navigateUrl(navurl.getText());



		return;
	}
	
	// Websearch
	if (strlower(action) == "search")
	{
        navurl.setText("www.google.com/search?q="+param);
		
		DFXBrowser.navigateUrl(navurl.getText());


		
	}
}


DFXBrowser.onAction (String action, String param, Int x, int y, int p1, int p2, GuiObject source)
{
	// Open an URL
	if (strlower(action) == "openurl")
	{
		navurl.setText(param);
		DFXBrowser.navigateUrl(navurl.getText());

		return;
	}

}

DFXBrowser.onBeforeNavigate(String url, Int flags, String targetframename){
 
	if(firstURL!=""){
		if(url==firstURL){
			bback.setXMLParam("ghost", "1");
			bback.setXMLParam("image", "cpro2.reader.back.0");
		}
		else if(bback.getXMLParam("ghost")=="1"){
			bback.setXMLParam("ghost", "0");
			bback.setXMLParam("image", "cpro2.reader.back.1");
		}
	}
}

cooldown.onTimer()
{
	cooldown.stop();
	cooldowned=false;
}

DFXBrowser.onDocumentReady(String url){
	
	if (url == "about:blank")
	return TRUE;
	lastestURL=url;
	navurl.setText(url);
	cooldowned = true;
	cooldown.start();	
}



