/*---------------------------------------------------
-----------------------------------------------------
Filename:	fileinfo.m
Version:	3.3
Type:		maki
Date:		10. Aug. 2007 - 20:42 
Author:		Martin Poehlmann aka Deimos + Victhor mods  + Tankevich Denis(Def) mods 
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		    www.martin.deimos.de.vu
           
    		   www.severm.kz
-----------------------------------------------------
---------------------------------------------------*/

#include "std.mi"
#include "attribs/init_windowpage.m"
#include "attribs/init_appearance.m"
#include "lib/com/songinfo.m"


#define WEBCOVER_SHOUTCAST "cover.aolr"


Function loadFileInfo();

Function CoverStart();

Class GuiObject LinkObject;

Function refreshRating(int rating);

Class Button RatingButton;

Class Group Infoline;

Function getTextHeight(InfoLine gn);

Global GuiObject SongTicker;
Global Group scriptGroup, g_cover, parent, g_mainFI;
Global AlbumArtLayer l_albumart, l_albumart3;
Global InfoLine g_rating, g_title, g_album, g_artist, g_year, g_genre, g_track, g_sname, g_surl, g_albumartist, g_composer, g_publisher, g_format, g_disc, g_path;
Global InfoLine g_target;
Global Text t_title, t_album, t_artist, t_year, t_genre, t_track, t_sname, t_surl, t_composer, t_publisher, t_albumartist, t_format, t_disc, t_path, heighttxt;


Global String stationLink;

Global List ratingStars;

Global LinkObject linkArtist, linkAlbum, linkTitle, linkGenre, linkPublisher, linkSURl,  linkPath, linkSname;

Global RatingButton rate1, rate2, rate3, rate4, rate5, rate0;

Global Layer star1, star2, star3, star4, star5, Ralbumart2, InfolineDispOff;

Global Int startwith = 0;
Global Int artRetries = 0;

Global timer delayLoad, delayLoad2, delayLoad3, delayLoad4;

Global Text Vidinfo;

Global Int infocomp_composer = 1;

Global timer FakeRadioCover, TechArtKill, TechArt1Timer;




System.onScriptLoaded()
{
	scriptGroup = getScriptGroup();
    InfolineDispOff = scriptGroup.findObject("infoline.OFF");
	initAttribs_Appearance();
	InfolineDispOff.show();
	      
    InfolineDispOff.setXmlParam("Alpha", "255");
    SongTicker = scriptGroup.getParentLayout().findObject("songticker");
	
	delayLoad = new Timer;
	delayLoad.setDelay(20);
	
	delayLoad2 = new Timer;
	delayLoad2.setDelay(100);
	
	delayLoad4 = new Timer;
	delayLoad4.setDelay(200);
	
    FakeRadioCover = new Timer;
	FakeRadioCover.setDelay(400);
	
	TechArtKill = new Timer;
	TechArtKill.setDelay(1000);
	
	TechArt1Timer = new Timer;
	TechArt1Timer.setDelay(300);
	
	delayLoad3 = new Timer;
    delayLoad3.setDelay(20);

	g_rating = scriptGroup.findObject("infodisplay.line.rating");
	g_title = scriptGroup.findObject("infodisplay.line.title");
	g_album = scriptGroup.findObject("infodisplay.line.album");
	g_artist = scriptGroup.findObject("infodisplay.line.artist");
	g_year = scriptGroup.findObject("infodisplay.line.year");
	g_genre = scriptGroup.findObject("infodisplay.line.genre");
	g_track = scriptGroup.findObject("infodisplay.line.track");
	g_publisher = scriptGroup.findObject("infodisplay.line.publisher");
	g_sname = scriptGroup.findObject("infodisplay.line.sname");
	g_surl = scriptGroup.findObject("infodisplay.line.surl");
	g_composer = scriptGroup.findObject("infodisplay.line.composer");
	g_albumartist = scriptGroup.findObject("infodisplay.line.albumartist");
	g_format = scriptGroup.findObject("infodisplay.line.format");
	g_disc = scriptGroup.findObject("infodisplay.line.disc");
	g_path = scriptGroup.findObject("infodisplay.line.path");

	Vidinfo = scriptGroup.findObject("Info2");
	
	linkPath = g_path.findObject("link");
	linkArtist = g_artist.findObject("link");
	linkAlbum = g_album.findObject("link");
	linkTitle = g_title.findObject("link");
	linksUrl = g_surl.findObject("link");
	linkSname = g_sname.findObject("link");
	
	
	t_title = g_title.findObject("text");
	t_album = g_album.findObject("text");
	t_artist = g_artist.findObject("text");
	t_year = g_year.findObject("text");
	t_genre = g_genre.findObject("text");
	t_track = g_track.findObject("text");
	t_Publisher = g_publisher.findObject("text");
	t_sname = g_sname.findObject("text");
	t_surl = g_surl.findObject("text");
	t_albumartist = g_albumartist.findObject("text");
	t_composer = g_composer.findObject("text");
	t_format = g_format.findObject("text");
	t_disc = g_disc.findObject("text");
	t_path = g_path.findObject("text");

	ratingStars = new List;
	parent = scriptGroup.getParent();


	g_mainFI = scriptGroup.getObject("info.component.infodisplay");

	l_albumart = scriptGroup.findObject("winamp.albumart");
    Ralbumart2 = scriptGroup.findObject("winamp.albumart2");

	
	rate1 = g_rating.findObject("rate.1");
	rate2 = g_rating.findObject("rate.2");
	rate3 = g_rating.findObject("rate.3");
	rate4 = g_rating.findObject("rate.4");
	rate5 = g_rating.findObject("rate.5");
	rate0 = g_rating.findObject("rate.0");
	ratingStars.addItem(rate1);
	ratingStars.addItem(rate2);
	ratingStars.addItem(rate3);
	ratingStars.addItem(rate4);
	ratingStars.addItem(rate5);

	star1 = g_rating.findObject("star.1");
	star2 = g_rating.findObject("star.2");
	star3 = g_rating.findObject("star.3");
	star4 = g_rating.findObject("star.4");
	star5 = g_rating.findObject("star.5");

    
		
    g_rating.hide();
	g_title.hide();
	g_album.hide();
	g_artist.hide();
	g_year.hide();
	g_genre.hide();
	g_track.hide();
	g_publisher.hide();
	g_surl.hide();
	g_sname.hide();
	g_albumartist.hide();
	g_composer.hide();
	g_format.hide();
	g_disc.hide();
	g_path.hide();
    Ralbumart2.setXmlParam("Alpha", "0");
	loadFileInfo();
}


System.onScriptUnloading ()
{
    FakeRadioCover.stop();
    TechArtKill.stop();
	TechArt1Timer.stop();
	delayLoad.stop();
	delayLoad2.stop();
	delayLoad3.stop();
	delayLoad4.stop();

	
	delete FakeRadioCover;
	delete TechArtKill;
	delete TechArt1Timer;
	delete delayLoad;
	delete delayLoad2;
	delete delayLoad3;
	delete delayLoad4;

}



delayLoad.onTimer()
{
	System.onTitleChange (getPlayItemString());
	delayLoad.stop();
}





System.onTitleChange (String newtitle)
{ 	

    if (newtitle == "" && getplayitemmetadatastring("title") == "" && !delayLoad.isRunning())
	{
		delayLoad.start();
	}
	
    if (StrLeft(newtitle, 1) == "[" ) 
	{
		return;	
	}
   
   songinfo_reload();
	if (File_info_anim_attrib.getData() == "1")
	{ 
        
		if (songinfo_isStream == 0)
		{
			l_albumart.hide();
			l_albumart.setXmlParam("Alpha", "0");
			l_albumart.setXmlParam("x", "32");
		}

	
	loadFileInfo();
    delayLoad2.start();
	}
	else
	{
	   
		Ralbumart2.setXmlParam("Alpha", "0");
		l_albumart.show();
		l_albumart.setXmlParam("Alpha", "255");
		l_albumart.setXmlParam("x", "17");
        delayLoad4.start();
		loadFileInfo();
	}

}

delayLoad4.onTimer()// Delay to load cover art
{

	if (isVideo())l_albumart.setXmlParam("notfoundimage", "cover.vid" );
	else if (songinfo_isStream == 1) l_albumart.setXmlParam("notfoundimage", "cover.sc");	
    else l_albumart.setXmlParam("notfoundimage", "LOGO.Alb");
	
	l_albumart.refresh();
    delayLoad4.stop();
}


delayLoad2.onTimer()// Delay to load cover art
{
   if (l_albumart.isLoading()) return;
   else 
   { 	
	    l_albumart.refresh();
		CoverStart();
		delayLoad2.stop();
   }

}



// ---------- Cover Anim  Start----------


CoverStart()
{  
	if (songinfo_isStream == 0)
	{
	
	TechArt1Timer.start();	
    }

	else 
	{ 
		FakeRadioCover.start(); 
	}
}



TechArt1Timer.onTimer()
{
   	if (isVideo())l_albumart.setXmlParam("notfoundimage", "cover.vid" );
	else l_albumart.setXmlParam("notfoundimage", "LOGO.Alb");
	l_albumart.show();
	l_albumart.setTargetA(255);
	l_albumart.setTargetX(17);
	l_albumart.setTargetSpeed(0.5);
	l_albumart.gotoTarget();
	TechArt1Timer.stop();
}



FakeRadioCover.onTimer()
{

if (songinfo_isStream == 1 )
    {
	
	Ralbumart2.setTargetA(255);
	Ralbumart2.setTargetSpeed(0.5);
	Ralbumart2.gotoTarget();
	}
 
else 
	{ 
	Ralbumart2.setXmlParam("Alpha", "0");
	} 
	
	TechArtKill.start();
	FakeRadioCover.stop();
}


TechArtKill.onTimer()
{
    if (songinfo_isStream == 1) {l_albumart.setXmlParam("notfoundimage", "cover.sc");
		
	}
	l_albumart.setXmlParam("Alpha", "255");
	l_albumart.setXmlParam("x", "17");
    l_albumart.show();
	Ralbumart2.setTargetSpeed(0.5);
    Ralbumart2.setTargetA(0);
	Ralbumart2.gotoTarget();
	l_albumart.refresh();
    FakeRadioCover.stop();
	
	TechArtKill.stop();
}



// ---------- Cover Anim End------------




//----------------------------------------------------------------------------------------------------------------
// Our main machine.
//----------------------------------------------------------------------------------------------------------------

loadFileInfo ()
{ 

    g_rating.hide();
	g_title.hide();
	g_album.hide();
	g_artist.hide();
	g_year.hide();
	g_genre.hide();
	g_track.hide();
	g_publisher.hide();
	g_surl.hide();
	g_sname.hide();
	g_albumartist.hide();
	g_composer.hide();
	g_format.hide();
	g_disc.hide();
	g_path.hide();

	stationLink = "";
	int pos = 1;
	int n = 0;


	if (songinfo_isStream)
	{

		if (songinfo_title != "")
		{
			// Title
			if (n > 0) pos += getTextHeight(g_title);
			t_title.setText(songinfo_title);
			g_title.setXmlParam("y", integerToString(pos));
			g_title.show();
			n++;
	

			// Artist 
			if (songinfo_artist != "")
			{
				if (n > 0) pos += getTextHeight(g_artist);
				t_artist.setText(songinfo_artist);
				g_artist.setXmlParam("y", integerToString(pos));
				g_artist.show();
				n++;
		
			}
		}
		
		else
		{
			if (songinfo_streamtitle != "")
			{
				int v = strsearch(songinfo_streamtitle, " - ");
				if (v > 0) {
					string s1 = strleft (songinfo_streamtitle, v);
					string s2 = strright (songinfo_streamtitle, strlen(songinfo_streamtitle) - 3 - v);

					// Title
					if (n > 0) pos += getTextHeight(g_title);
					t_title.setText(s2);
					g_title.setXmlParam("y", integerToString(pos));
					g_title.show();
					n++;
				

					// Artist 
					if (n > 0) pos += getTextHeight(g_artist);
					if (songinfo_artist == "") t_artist.setText(s1);
					else t_artist.setText(songinfo_artist);
					g_artist.setXmlParam("y", integerToString(pos));
					g_artist.show();
					n++;
	
				}
				else
				{
					// Title
					if (n > 0) pos += getTextHeight(g_title);
					t_title.setText(songinfo_streamtitle);
					g_title.setXmlParam("y", integerToString(pos));
					g_title.show();
					n++;
	

					// Artist 
					if (songinfo_artist != "") {
						if (n > 0) pos += getTextHeight(g_artist);
						t_artist.setText(songinfo_artist);
						g_artist.setXmlParam("y", integerToString(pos));
						g_artist.show();
						n++;
				
					}
				}
			}
		}

		// Stream Album
		if (songinfo_album != "")
		{
			if (n > 0) pos += getTextHeight(g_album);
			t_album.setText(songinfo_album);
			g_album.setXmlParam("y", integerToString(pos));
			g_album.show();
			n++;
	
		}

		// Stream Genre
		String s = getPlayItemMetaDataString("streamgenre");
		if (s != "")
		{
			t_genre.setText(s);
			if (n > 0) pos += getTextHeight(g_genre);
			g_genre.setXmlParam("y", integerToString(pos));
			g_genre.show();
			n++;
		}

		// Set Stream Name
		if (songinfo_streamName != "")
		{
			if (n > 0) pos += getTextHeight(g_sname);
			t_sname.setText(songinfo_streamName);
			g_sname.setXmlParam("y", integerToString(pos));
			g_sname.show();
			n++;
	
		}

		// Stream URL (only visible if we have less than 4 lines till now)
		if (songinfo_streamURL != "")
		{
			if (n > 0) pos += getTextHeight(g_surl);
			t_surl.setText(songinfo_streamURL);
			g_surl.setXmlParam("y", integerToString(pos));
			g_surl.show();
			n++;

		}

	}

	// ---------- Local Info ----------
	else
	{

        g_rating.show();
	
		string s = songinfo_title;
		if (s == "") songinfo_displayTitle;
		 if (s != "")
		 {
			t_title.setText(s);
			g_title.setXmlParam("y", integerToString(pos));
			g_title.show();
			 
			n++;
			
		 }
		else 
	       { 
	        string s = songinfo_displayTitle;
		    t_title.setText(s);  
            g_title.setXmlParam("y", integerToString(pos));
			g_title.show();
			n++;
		  }
		   

		if (songinfo_artist != "")
		{
			if (n > 0) 
			pos += getTextHeight(g_artist);
			t_artist.setText(songinfo_artist);
			g_artist.setXmlParam("y", integerToString(pos));
			g_artist.show();
	    	n++;
			
		}

      if (infocomp_composer = 1)
		{
		    string d = songinfo_album;
			if (d != "")
			{
			pos += getTextHeight(g_album);
			t_album.setText(d);
			g_album.setXmlParam("y", integerToString(pos));
			g_album.show();
			n++;}
			 
			else	// Added so that if there is no album name data, then the path to the media file is displayed. I could not make the name of the folder in which the file was located displayed. 
			{if (n > 0) 
	        String path = getPath(getPlayItemMetaDataString("filename"));	
		    pos += getTextHeight(g_path);
			t_path.setText(path);
			g_path.setXmlParam("y", integerToString(pos));
			g_path.show();
	    	n++;	
			}
		}


		
		if (infocomp_composer = 1)
		{
			s = getPlayItemMetaDataString("year");
			if (s != "")
			{
				
			if (n > 0) pos += getTextHeight(g_year);
			t_year.setText(s);
			g_year.setXmlParam("Alpha", "255");
			g_year.setXmlParam("y", integerToString(pos));
		  	g_year.show();
			
		    n++;

			}
		}
		
		if (infocomp_composer = 1)
		{
			s = system.getDecoderName(system.getPlayItemString());
			if (s != "")
			{
				
			if (n > 0) pos += getTextHeight(g_format);
			t_format.setText(s);
			g_format.setXmlParam("Alpha", "255");
			g_format.setXmlParam("y", integerToString(pos));
		  	g_format.show();
			
		    n++;
	
			}
			
		}
		
		
		if (isVideo() && (Video_info_attrib.getData() == "1"))
        { 
        Vidinfo.show();
        }

	}
refreshRating(System.getCurrentTrackRating()); 	

}




Video_info_attrib.onDataChanged()
{
	if (getData() == "0")
	{
		Vidinfo.hide();
	}

	else if(getData() == "1")
	{
		Vidinfo.show();	
	} 
}


//----------------------------------------------------------------------------------------------------------------
// If user clicks on a link item (artist, album, title), let's start a web search.
//----------------------------------------------------------------------------------------------------------------


LinkObject.onEnterArea ()
{
	LinkObject.getParent().findObject("label").setAlpha(255);
}

LinkObject.onLeaveArea ()
{
	LinkObject.getParent().findObject("label").setAlpha(150);
}


LinkObject.onLeftButtonDown (int x, int y)
{
	LinkObject.getParent().findObject("label").setAlpha(220);
}

LinkObject.onLeftButtonUp (int x, int y)
{
    
	songinfo_reload();

    string a = songinfo_artist;
	if (LinkObject == linkSurl || LinkObject == linkSname)
      {
      String nav = t_surl.getText();
      System.navigateUrl(nav);
	  return;
	  }
      string s;
     
	 if ( LinkObject == linkPath)
       {
        System.navigateUrl(getPath(getPlayItemMetaDataString("filename")));
        return;
	   }
  
      if (LinkObject == linkArtist) s = t_artist.getText();
      if (LinkObject == linkAlbum) s = t_artist.getText() + " " + t_album.getText();
	  if (LinkObject == linkTitle) s = a + " " + t_title.getText();
      if (s == "") return;
      System.navigateUrl("www.google.com/search?q="+ urlEncode(s));
     
      return;

	  
      if (stationLink != "" && ( LinkObject == linkSname || LinkObject == linkSurl))
      {
        System.navigateUrl(stationLink);
        return;
	  }

   
      String icid = "fileinfotitle";
      if (LinkObject == linkArtist) icid = "fileinfoartist";
      if (LinkObject == linkAlbum) icid = "fileinfoalbum";
  
      String artist = t_artist.getText();
      if (artist == "") return;
      System.navigateUrl("www.google.com/search?q=" + artist);

	
    
}





l_albumart.onRightButtonDown (int x, int y)
{
	popupmenu p = new popupmenu;

  if (songinfo_isStream == 0) p.addCommand("Refresh Album Art", 1, 0, 0);
	//if (songinfo_isStream == 0) p.addSeparator();
	String path = getPath(getPlayItemMetaDataString("filename"));
	if(path != "")
	{
		p.addCommand("Open Folder", 2, 0, 0);
	}
	
	if (songinfo_isStream == 0) p.addCommand("Search Album art (Google)", 3, 0, 0);

 
	p.addCommand("Search Lyrics (Google)", 4, 0, 0);

  
	int result = p.popatmouse();
	delete p;

	if (result == 1)
	{
		l_albumart.refresh();
	}
	else if (result == 2)
	{
    System.navigateUrl(getPath(getPlayItemMetaDataString("filename")));
	}
	
	else if (result == 3) // Google
    {
		songinfo_reload();
		string d = songinfo_album;
		string h = songinfo_artist;
		String sartist = t_artist.gettext();
		String salbum = t_album.gettext();
	
		if (d != "")
		{
        group sui = getContainer("Sui").getLayout("normal").findObject("sui.content");
		sui.sendAction ("browser_navigate", ("www.google.com/search?tbm=isch&q=" + urlEncode(sartist) + " " + urlEncode(salbum) + " " + "cover"), 0, 0, 0, 0);
		return;
		}
		
		else 
	    {
			if (h != "" ) 
			{
			String sartist = t_title.gettext();
			group sui = getContainer("Sui").getLayout("normal").findObject("sui.content");
			sui.sendAction ("browser_navigate", ("www.google.com/search?tbm=isch&q=" + urlEncode(sartist) + " " + urlEncode(h) + " " + "cover"), 0, 0, 0, 0); 
			return;
			}
			
			else 
			{
			group sui = getContainer("Sui").getLayout("normal").findObject("sui.content");
			sui.sendAction ("browser_navigate", ("www.google.com/search?tbm=isch&q=" + urlEncode(sartist)+ " " + "cover"), 0, 0, 0, 0);
			return;
			}
		}
	}
	else if (result == 4) // Google
    {
		String sartist = t_artist.gettext();
		String stitle = t_title.gettext();
		
		System.navigateUrl("www.google.com/search?q="+ urlEncode(sartist) + " " + urlEncode(stitle) + " " + "lyrics translate to Russian");
		return;
    }
	
}




//----------------------------------------------------------------------------------------------------------------.  
l_albumart.onLeftButtonDown (int x, int y)
{
	songinfo_reload();
	if (isVideo()) 
	{
	group sui = getContainer("SUI").getLayout("normal").findObject("sui.content");
	sui.sendAction("opentab", "vd", 0,0,0,0);
	return;
	}
   
	else if (songinfo_isStream == 1 || StrLeft(newtitle, 1) == "[") 
	{
	group sui = getContainer("SUI").getLayout("normal").findObject("sui.content");
	sui.sendAction("opentab", "ml", 0,0,0,0);  return;
	}
   
	else if (pl_tab_attrib.getData() == "1") 
	{
	group sui = getContainer("SUI").getLayout("normal").findObject("sui.content");
	sui.sendAction("opentab", "pe", 0,0,0,0); return; 
	}
  
	else if (pl_tab_attrib.getData() == "0") 
	{
	group sui = getContainer("SUI").getLayout("normal").findObject("sui.content");
	sui.sendAction("opentab", "ml", 0,0,0,0);  return;
	}
	return;
}








System.onCurrentTrackRated (int rating)
{
	refreshRating(rating);
}

RatingButton.onleftClick ()
{
	int rating = stringToInteger(getToken(getId(), ".", 1));
	refreshRating(rating);
	setCurrentTrackRating(rating);
	for ( int i = 1; i <= rating; i++ )
	{
		guiobject o = ratingStars.enumItem(i-1);
		o.setAlpha(255);
	}
}

RatingButton.onEnterArea () // Vic note: OnEnterArea only works on buttons!!
{
	//RatingButton.getParent().findObject("label").setAlpha(0); // v1.1 (disabled)

	int pos = stringToInteger(getToken(getId(), ".", 1));
	int rating = System.getCurrentTrackRating();

	star1.hide();
	star2.hide();
	star3.hide();
	star4.hide();
	star5.hide();

	if (pos >= 1) star1.show();
	if (pos >= 2) star2.show();
	if (pos >= 3) star3.show();
	if (pos >= 4) star4.show();
	if (pos >= 5) star5.show();

	if (pos > rating)
	{
		for ( int i = 1; i <= 5; i++ )
		{
			guiobject o = ratingStars.enumItem(i-1);
			if ( i > pos || i <= rating)
			{
				o.setAlpha(255);
			}
			else
			{
				o.setAlpha(0);
			}
		}
	}
	else
	{
		rate1.setAlpha(255);
		rate2.setAlpha(255);
		rate3.setAlpha(255);
		rate4.setAlpha(255);
		rate5.setAlpha(255);
	}
}

RatingButton.onLeaveArea () // Vic note: OnLeaveArea only works on buttons!!
{
	//RatingButton.getParent().findObject("label").setAlpha(0); // v1.1 (disabled)

	star1.hide();
	star2.hide();
	star3.hide();
	star4.hide();
	star5.hide();
	rate1.setAlpha(255);
	rate2.setAlpha(255);
	rate3.setAlpha(255);
	rate4.setAlpha(255);
	rate5.setAlpha(255);
}

refreshRating (int rating)
{
	rate1.setActivated(rating >= 1);
	rate2.setActivated(rating >= 2);
	rate3.setActivated(rating >= 3);
	rate4.setActivated(rating >= 4);
	rate5.setActivated(rating >= 5);
}

RatingButton.onRightButtonUp (int x, int y)
{
	popupmenu rmenu = new popupmenu;
	rmenu.addcommand("Remove Rating", 1, 0,0);
	int result = rmenu.popAtMouse();
	if (result == 1)
	{
		setCurrentTrackRating(0);
		refreshRating(0);
	}
	complete;
}
//----------------------------------------------------------------------------------------------------------------
// Winamp
//----------------------------------------------------------------------------------------------------------------


System.onPlay ()
{
	
  loadFileInfo();
}


getTextHeight (InfoLine gn)
{
	return stringToInteger(gn.getXmlParam("h"));
}


g_rating.onSetVisible(int on) 
{
	if (on)
	{
		g_mainFI.setxmlParam("w", "-186");
		return;
	}
    else
	{
		g_mainFI.setxmlParam("w", "-162");
		return;
	}
}



delayLoad3.onTimer()
{
 if (l_albumart.isLoading()) return;
 if (File_info_anim_attrib.getData() == "1"){		
 	
	InfolineDispOff.setTargetA(0);
	InfolineDispOff.setTargetSpeed(0.30);
	InfolineDispOff.gotoTarget(); 
    delayLoad3.stop();}
    
	else { 
	InfolineDispOff.hide();
	delayLoad3.stop(); }
}


scriptGroup.onSetVisible(int on) 
{	

InfolineDispOff.show();
InfolineDispOff.setXmlParam("Alpha", "255");

    if (on)
		{
		loadFileInfo();
		delayLoad3.start();
		return;
		}
	    else 
		{ InfolineDispOff.show();
	      InfolineDispOff.setXmlParam("Alpha", "255");
		}
}

