/********************************************************\
**  Filename:	PLSwitch.m		**
**  Version:	1.0					**
**  Date:	11. 11. 2020 - 15:25			**
**  Author:	Tankevich Denis(Def)		**
**  E-Mail:	Defixmail@gmail.com		**
**  Internet:	https://severm.kz/winamp-defix-hi-end/	**
\********************************************************/



#include "std.mi"
#include "attribs/init_appearance.m"

function SetPLNum();
function SetPLNum2();
function PlaylistFull();
function PlaylistMin();
function PlaylistMin2();

Global Group ScriptGrp;

Global Group MainNormalGrp;

Global Group INFOG, ListPLG, PlaylistG;

Global Button PlBtn;

Global int curPLSET;


System.onScriptLoaded() { 

  initAttribs_Appearance();
  curPLSET = 1;

  MainNormalGrp = System.getContainer("pledit").getLayout("normal");


  ScriptGrp = getScriptGroup();
  
  INFOG = MainNormalGrp.getobject("player.component.fileinfo");
  
  ListPLG = MainNormalGrp.getobject("info.component.coverflow");
	
  PlaylistG = MainNormalGrp.getobject("playlist.main.GP");
  
  
  
  PLBtn = ScriptGrp.getObject("PLBtn");

  curPLSET = getPrivateInt(getSkinName(), "lastcurPLSET", curPLSET);

  SetPLNum();

}


FI_with_Coverflor.onDataChanged()
{
 SetPLNum();
}


PlaylistMin()
{
	
    
    PlaylistG.setXmlParam("y", "162");
    PlaylistG.setXmlParam("h", "-163");
    
}

PlaylistMin2()
{
	
    
    PlaylistG.setXmlParam("y", "162");
    PlaylistG.setXmlParam("h", "-303");
    
}

PlaylistFull()
{
	PlaylistG.setXmlParam("y", "22");
    PlaylistG.setXmlParam("h", "-23");
}


SetPLNum() {
INFOG.hide();
ListPLG.hide();
 
 
	if (FI_with_Coverflor.getData() == "1")
    { 
		if (curPLSET == 1) { 
	
		INFOG.show();
		INFOG.setXmlParam("y", "22");
		INFOG.setXmlParam("relaty", "0");

		ListPLG.show();
		ListPLG.setXmlParam("y", "-150");
		ListPLG.setXmlParam("relaty", "1");
	
		PlaylistMin2();
		} 	
	
		if (curPLSET == 2) { 
	
		INFOG.show();
		INFOG.setXmlParam("y", "-150");
		INFOG.setXmlParam("relaty", "1");
	
		ListPLG.show();
		ListPLG.setXmlParam("y", "22");
		ListPLG.setXmlParam("relaty", "0");
	
		PlaylistMin2();
		} 
	
		if (curPLSET == 3) { 
		INFOG.hide();
		ListPLG.hide();
		PlaylistFull();
		} 
        
		
	
    }

	else {
	
	
		if (curPLSET == 1) { 
	
		INFOG.setXmlParam("y", "22");
		INFOG.setXmlParam("relaty", "0");
		INFOG.show();
	
		ListPLG.hide();
		PlaylistMin();
		} 	
	
		if (curPLSET == 2) { 
		INFOG.hide();
	
		ListPLG.show();
		ListPLG.setXmlParam("y", "22");
		ListPLG.setXmlParam("relaty", "0");
	
		PlaylistMin();
		} 
	
		if (curPLSET == 3) { 
		INFOG.hide();
		ListPLG.hide();
		PlaylistFull();
		} 

	}
	
	
	
}


SetPLNum2() {
	if (curPLSET < 3) { 
	curPLSET = curPLSET + 1; 
	} else { 
	curPLSET = 1; 
	} 
  
	if ((curPLSET>=1) && (curPLSET<=3))
	setPrivateInt(getSkinName(), "lastcurPLSET", curPLSET);
	SetPLNum();
}

PLBtn.onLeftClick() {
	SetPLNum2();
}

PLBtn.onLeftButtonUp(Int intPosX, Int intPosY) {
	complete;
}


PLBtn.onRightButtonDown(int x, int y) {
  popUpMenu PLBtnmenu;

  PLBtnmenu = new popUpMenu;
  PLBtnmenu.addCommand(translate("File Info"), 1, curPLSET==1, 0);
  PLBtnmenu.addCommand(translate("Manage Playlist"), 2, curPLSET==2, 0);
  PLBtnmenu.addCommand(translate("Playlist"), 3, curPLSET==3, 0);


  int result = PLBtnmenu.popAtMouse();
  delete PLBtnmenu;


  if ((result<1) || (result>3) || (result==curPLSET)) return;

  curPLSET = result;
  
  setPrivateInt(getSkinName(), "lastcurPLSET", curPLSET);
  
  SetPLNum();
  
}






