/********************************************************\
**  Filename:	CONFIG.m			**
**  Version:	1.0					**
**  Date:	11. 11. 2020 - 15:25			**
**  Author:	Tankevich Denis(Def)		**
**  E-Mail:	Defixmail@gmail.com		**
**  Internet:	https://severm.kz/winamp-defix-hi-end/	**
\********************************************************/


#include "std.mi"
#include "attribs/init_appearance.m"

function SetCONFNum();
function SetCONFNum2();
function SetBTN();

Global Group ScriptGrp;

Global Group MainNormalGrp;

Global Group ConfAtrG;
Global Group ConfStyleG;
Global Group ConfABG;

Global Button ConfBtn, ConfBtnSIP, ConfBT1, ConfBT2, ConfBT3, ConfBT4;

Global Button mBtnPL, mBtnEq, mBtnVis, mBtnML, mBtnVid, mBtnBr;

Global int curCONFSET;

Global String mBTstr1, mBTstr2, mBTstr3, mBTstr4, mBTstr5, mBTstr6;

Global Layer tPL, tML, tVD, tVS, tBR, tEQ, contBT;

System.onScriptLoaded() { 

  initAttribs_Appearance();
  
  curCONFSET = 1;

  MainNormalGrp = System.getContainer("main").getLayout("normal");

  ScriptGrp = getScriptGroup();
  ConfAtrG = ScriptGrp.getobject("Config.normal.atrb");
  ConfStyleG = ScriptGrp.getobject("Config.normal.style");
   ConfABG = ScriptGrp.getobject("Config.AB");
  
  ConfBtn = ScriptGrp.getObject("ConfBtn");
  ConfBtnSIP = ConfAtrG.findObject("ConfBtnSIP");

  curCONFSET = getPrivateInt(getSkinName(), "lastcurCONFSET", curCONFSET);

  ConfBT1 = ConfAtrG.findObject("ConfBT1");
  ConfBT2 = ConfAtrG.findObject("ConfBT2");
  ConfBT3 = ConfAtrG.findObject("ConfBT3");
  ConfBT4 = ConfAtrG.findObject("ConfBT4");

  mBtnPL = MainNormalGrp.findObject("PLSBt");
  mBtnEq = MainNormalGrp.findObject("EQSwitch");
  mBtnVis = MainNormalGrp.findObject("AVSSwitch");
  mBtnML = MainNormalGrp.findObject("MLSwitch");
  mBtnVid = MainNormalGrp.findObject("VideoSwitch");
  mBtnBr = MainNormalGrp.findObject("BrSwitch");
  
   tPL = MainNormalGrp.findObject("PLAYER.TEXT.Contr1.pl");
   tML = MainNormalGrp.findObject("PLAYER.TEXT.Contr1.ml");
   tVD = MainNormalGrp.findObject("PLAYER.TEXT.Contr1.vd");
   tVS = MainNormalGrp.findObject("PLAYER.TEXT.Contr1.vs");
   tBR = MainNormalGrp.findObject("PLAYER.TEXT.Contr1.br");
   tEQ = MainNormalGrp.findObject("PLAYER.TEXT.Contr1.eq");
   contBT = MainNormalGrp.findObject("PLAYER.TEXT.Contr2");
   
  String mBTstr1 = getPrivateString("Winamp Defix", "MainBtn1", "");
  if (mBTstr1 == "") setPrivateString("Winamp Defix", "MainBtn1", "PL");
  String mBTstr2 = getPrivateString("Winamp Defix", "MainBtn2", "");
  if (mBTstr2 == "") setPrivateString("Winamp Defix", "MainBtn2", "EQ");
  String mBTstr3 = getPrivateString("Winamp Defix", "MainBtn3", "");
  if (mBTstr3 == "") setPrivateString("Winamp Defix", "MainBtn3", "ML");
  String mBTstr4 = getPrivateString("Winamp Defix", "MainBtn4", "");
  if (mBTstr4 == "") setPrivateString("Winamp Defix", "MainBtn4", "Video");

  SetCONFNum();
  SetBTN();


}


FI_with_Coverflor.onDataChanged()
{
 SetCONFNum();
}




SetCONFNum() 
{

		if (curCONFSET == 1) { 
		ConfAtrG.hide();
        ConfStyleG.show();
		ConfABG.hide();
		} 	
	
		if (curCONFSET == 2) { 

		ConfAtrG.show();
        ConfStyleG.hide();
		ConfABG.hide();
		} 
	
		if (curCONFSET == 3) { 
		
		ConfABG.show();
		ConfAtrG.hide();
		ConfStyleG.hide();
		
		
		
		} 
}


SetCONFNum2() {
	if (curCONFSET < 3) { 
	curCONFSET = curCONFSET + 1; 
	} else { 
	curCONFSET = 1; 
	} 
  
	if ((curCONFSET>=1) && (curCONFSET<=3))
	setPrivateInt(getSkinName(), "lastcurCONFSET", curCONFSET);
	SetCONFNum();
}


ConfBtn.onLeftClick() {
	SetCONFNum2();
}


ConfBtn.onLeftButtonUp(Int intPosX, Int intPosY) {
	complete;
}

 ConfBtn.onRightButtonDown(int x, int y) {
  popUpMenu ConfBtnmenu;
  
  ConfBtnmenu = new popUpMenu;

  
  int result = ConfBtnmenu.popAtMouse();
  delete ConfBtnmenu;


  if ((result<1) || (result>3) || (result==curCONFSET)) return;

  curCONFSET = result;
  
  setPrivateInt(getSkinName(), "lastcurCONFSET", curCONFSET);
  
  SetCONFNum();

}

lettering_bt.onDataChanged()
{
	if (getData() == "0")
	{	
	tPL.hide();
	tML.hide();
	tVD.hide();
	tVS.hide();
	tBR.hide();
	tEQ.hide();
	contBT.hide();	
	}

	else if(getData() == "1")
	{
		SetBTN();
        contBT.show();		
	} 
}



// ---------- Swap Butt----------


ConfBT1.onLeftClick()
{

	String mBTstr1 = getPrivateString("Winamp Defix", "MainBtn1", "");
	String mBTstr2 = getPrivateString("Winamp Defix", "MainBtn2", "");
	String mBTstr3 = getPrivateString("Winamp Defix", "MainBtn3", "");
	String mBTstr4 = getPrivateString("Winamp Defix", "MainBtn4", "");

	popupmenu p = new popupmenu;

    p.addCommand("Video", 1, 0, 0);

	p.addCommand("Playlist Editor", 2, 0, 0);
	
	p.addCommand("Media Library", 3, 0, 0);

	p.addCommand("Equalizer", 4, 0, 0);
	
	p.addCommand("Visualization", 5, 0, 0);
	
	p.addCommand("Browser", 6, 0, 0);
	
	int result = p.popatmouse();
	delete p;

	if (result == 1)
	{

    if (mBTstr2 == "Video") setPrivateString("Winamp Defix", "MainBtn2", mBTstr1);
    if (mBTstr3 == "Video") setPrivateString("Winamp Defix", "MainBtn3", mBTstr1);
    if (mBTstr4 == "Video") setPrivateString("Winamp Defix", "MainBtn4", mBTstr1);

	setPrivateString("Winamp Defix", "MainBtn1", "Video");

	}
	
	
	else if (result == 2)
	{

    if (mBTstr2 == "PL") setPrivateString("Winamp Defix", "MainBtn2", mBTstr1);
    if (mBTstr3 == "PL") setPrivateString("Winamp Defix", "MainBtn3", mBTstr1);
    if (mBTstr4 == "PL") setPrivateString("Winamp Defix", "MainBtn4", mBTstr1);

	setPrivateString("Winamp Defix", "MainBtn1", "PL");
	

	
	}
	
	else if (result == 3) 
    {
			
	if (mBTstr2 == "ML") setPrivateString("Winamp Defix", "MainBtn2", mBTstr1);
    if (mBTstr3 == "ML") setPrivateString("Winamp Defix", "MainBtn3", mBTstr1);
    if (mBTstr4 == "ML") setPrivateString("Winamp Defix", "MainBtn4", mBTstr1);
	setPrivateString("Winamp Defix", "MainBtn1", "ML");
	

		
	}
	
	else if (result == 4)
    {
			
	if (mBTstr2 == "EQ") setPrivateString("Winamp Defix", "MainBtn2", mBTstr1);
    if (mBTstr3 == "EQ") setPrivateString("Winamp Defix", "MainBtn3", mBTstr1);
    if (mBTstr4 == "EQ") setPrivateString("Winamp Defix", "MainBtn4", mBTstr1);
	
	setPrivateString("Winamp Defix", "MainBtn1", "EQ");
	

		
		
    }
	
	else if (result == 5)
    {
	
    if (mBTstr2 == "VS") setPrivateString("Winamp Defix", "MainBtn2", mBTstr1);
    if (mBTstr3 == "VS") setPrivateString("Winamp Defix", "MainBtn3", mBTstr1);
    if (mBTstr4 == "VS") setPrivateString("Winamp Defix", "MainBtn4", mBTstr1);
	
	setPrivateString("Winamp Defix", "MainBtn1", "VS");
	
		
		
    }
	
	else if (result == 6)
    {
			
    if (mBTstr2 == "BR") setPrivateString("Winamp Defix", "MainBtn2", mBTstr1);
    if (mBTstr3 == "BR") setPrivateString("Winamp Defix", "MainBtn3", mBTstr1);
    if (mBTstr4 == "BR") setPrivateString("Winamp Defix", "MainBtn4", mBTstr1);
	
	setPrivateString("Winamp Defix", "MainBtn1", "BR");
		
		
    }
	
	
	
	SetBTN();
	
	
}




ConfBT2.onLeftClick()
{
	String mBTstr1 = getPrivateString("Winamp Defix", "MainBtn1", "");
	String mBTstr2 = getPrivateString("Winamp Defix", "MainBtn2", "");
	String mBTstr3 = getPrivateString("Winamp Defix", "MainBtn3", "");
	String mBTstr4 = getPrivateString("Winamp Defix", "MainBtn4", "");


	popupmenu p = new popupmenu;

    p.addCommand("Video", 1, 0, 0);

	p.addCommand("Playlist Editor", 2, 0, 0);
	
	p.addCommand("Media Library", 3, 0, 0);

	p.addCommand("Equalizer", 4, 0, 0);
	
	p.addCommand("Visualization", 5, 0, 0);
	
	p.addCommand("Browser", 6, 0, 0);
	
	int result = p.popatmouse();
	delete p;

	if (result == 1)
	{

    if (mBTstr1 == "Video") setPrivateString("Winamp Defix", "MainBtn1", mBTstr2);
    if (mBTstr3 == "Video") setPrivateString("Winamp Defix", "MainBtn3", mBTstr2);
    if (mBTstr4 == "Video") setPrivateString("Winamp Defix", "MainBtn4", mBTstr2);

	setPrivateString("Winamp Defix", "MainBtn2", "Video");

	}
	
	
	else if (result == 2)
	{
	
    if (mBTstr1 == "PL") setPrivateString("Winamp Defix", "MainBtn1", mBTstr2);
    if (mBTstr3 == "PL") setPrivateString("Winamp Defix", "MainBtn3", mBTstr2);
    if (mBTstr4 == "PL") setPrivateString("Winamp Defix", "MainBtn4", mBTstr2);
	
	setPrivateString("Winamp Defix", "MainBtn2", "PL");
	
	}
	
	else if (result == 3) 
    {
			
    if (mBTstr1 == "ML") setPrivateString("Winamp Defix", "MainBtn1", mBTstr2);
    if (mBTstr3 == "ML") setPrivateString("Winamp Defix", "MainBtn3", mBTstr2);
    if (mBTstr4 == "ML") setPrivateString("Winamp Defix", "MainBtn4", mBTstr2);
	
	setPrivateString("Winamp Defix", "MainBtn2", "ML");
		
	}
	
	else if (result == 4)
    {
			
	if (mBTstr1 == "EQ") setPrivateString("Winamp Defix", "MainBtn1", mBTstr2);
    if (mBTstr3 == "EQ") setPrivateString("Winamp Defix", "MainBtn3", mBTstr2);
    if (mBTstr4 == "EQ") setPrivateString("Winamp Defix", "MainBtn4", mBTstr2);
	setPrivateString("Winamp Defix", "MainBtn2", "EQ");
			
    }
	
	else if (result == 5)
    {
	
    if (mBTstr1 == "VS") setPrivateString("Winamp Defix", "MainBtn1", mBTstr2);
    if (mBTstr3 == "VS") setPrivateString("Winamp Defix", "MainBtn3", mBTstr2);
    if (mBTstr4 == "VS") setPrivateString("Winamp Defix", "MainBtn4", mBTstr2);		
	
	setPrivateString("Winamp Defix", "MainBtn2", "VS");
		
    }
	
	else if (result == 6)
    {
			
	if (mBTstr1 == "BR") setPrivateString("Winamp Defix", "MainBtn1", mBTstr2);
    if (mBTstr3 == "BR") setPrivateString("Winamp Defix", "MainBtn3", mBTstr2);
    if (mBTstr4 == "BR") setPrivateString("Winamp Defix", "MainBtn4", mBTstr2);
	
	setPrivateString("Winamp Defix", "MainBtn2", "BR");
		
    }
	
	SetBTN();
	
	
}



ConfBT3.onLeftClick()
{
	String mBTstr1 = getPrivateString("Winamp Defix", "MainBtn1", "");
	String mBTstr2 = getPrivateString("Winamp Defix", "MainBtn2", "");
	String mBTstr3 = getPrivateString("Winamp Defix", "MainBtn3", "");
	String mBTstr4 = getPrivateString("Winamp Defix", "MainBtn4", "");

	popupmenu p = new popupmenu;

    p.addCommand("Video", 1, 0, 0);

	p.addCommand("Playlist Editor", 2, 0, 0);
	
	p.addCommand("Media Library", 3, 0, 0);

	p.addCommand("Equalizer", 4, 0, 0);
	
	p.addCommand("Visualization", 5, 0, 0);
	
	p.addCommand("Browser", 6, 0, 0);
	
	int result = p.popatmouse();
	delete p;

	if (result == 1)
	{

    if (mBTstr1 == "Video") setPrivateString("Winamp Defix", "MainBtn1", mBTstr3);
    if (mBTstr2 == "Video") setPrivateString("Winamp Defix", "MainBtn2", mBTstr3);
    if (mBTstr4 == "Video") setPrivateString("Winamp Defix", "MainBtn4", mBTstr3);

	setPrivateString("Winamp Defix", "MainBtn3", "Video");

	}
	
	
	else if (result == 2)
	{

    if (mBTstr1 == "PL") setPrivateString("Winamp Defix", "MainBtn1", mBTstr3);
    if (mBTstr2 == "PL") setPrivateString("Winamp Defix", "MainBtn2", mBTstr3);
    if (mBTstr4 == "PL") setPrivateString("Winamp Defix", "MainBtn4", mBTstr3);

	setPrivateString("Winamp Defix", "MainBtn3", "PL");
	
	}
	
	else if (result == 3) 
    {
			
	if (mBTstr1 == "ML") setPrivateString("Winamp Defix", "MainBtn1", mBTstr3);
    if (mBTstr2 == "ML") setPrivateString("Winamp Defix", "MainBtn2", mBTstr3);
    if (mBTstr4 == "ML") setPrivateString("Winamp Defix", "MainBtn4", mBTstr3);
	
	setPrivateString("Winamp Defix", "MainBtn3", "ML");

	}
	
	else if (result == 4)
    {
			
	if (mBTstr1 == "EQ") setPrivateString("Winamp Defix", "MainBtn1", mBTstr3);
    if (mBTstr2 == "EQ") setPrivateString("Winamp Defix", "MainBtn2", mBTstr3);
    if (mBTstr4 == "EQ") setPrivateString("Winamp Defix", "MainBtn4", mBTstr3);
	
	setPrivateString("Winamp Defix", "MainBtn3", "EQ");
		
    }
	
	else if (result == 5)
    {
		
	if (mBTstr1 == "VS") setPrivateString("Winamp Defix", "MainBtn1", mBTstr3);
    if (mBTstr2 == "VS") setPrivateString("Winamp Defix", "MainBtn2", mBTstr3);
    if (mBTstr4 == "VS") setPrivateString("Winamp Defix", "MainBtn4", mBTstr3);	
	
	setPrivateString("Winamp Defix", "MainBtn3", "VS");
		
    }
	
	else if (result == 6)
    {
			
	if (mBTstr1 == "BR") setPrivateString("Winamp Defix", "MainBtn1", mBTstr3);
    if (mBTstr2 == "BR") setPrivateString("Winamp Defix", "MainBtn2", mBTstr3);
    if (mBTstr4 == "BR") setPrivateString("Winamp Defix", "MainBtn4", mBTstr3);
	
	setPrivateString("Winamp Defix", "MainBtn3", "BR");

    }
	
	SetBTN();
	
	
}


ConfBT4.onLeftClick()
{
	String mBTstr1 = getPrivateString("Winamp Defix", "MainBtn1", "");
	String mBTstr2 = getPrivateString("Winamp Defix", "MainBtn2", "");
	String mBTstr3 = getPrivateString("Winamp Defix", "MainBtn3", "");
	String mBTstr4 = getPrivateString("Winamp Defix", "MainBtn4", "");

	popupmenu p = new popupmenu;

    p.addCommand("Video", 1, 0, 0);

	p.addCommand("Playlist Editor", 2, 0, 0);
	
	p.addCommand("Media Library", 3, 0, 0);

	p.addCommand("Equalizer", 4, 0, 0);
	
	p.addCommand("Visualization", 5, 0, 0);
	
	p.addCommand("Browser", 6, 0, 0);
	
	int result = p.popatmouse();
	delete p;

	if (result == 1)
	{

    if (mBTstr1 == "Video") setPrivateString("Winamp Defix", "MainBtn1", mBTstr4);
    if (mBTstr2 == "Video") setPrivateString("Winamp Defix", "MainBtn2", mBTstr4);
    if (mBTstr3 == "Video") setPrivateString("Winamp Defix", "MainBtn3", mBTstr4);

	setPrivateString("Winamp Defix", "MainBtn4", "Video");

	}
	
	
	else if (result == 2)
	{

    if (mBTstr1 == "PL") setPrivateString("Winamp Defix", "MainBtn1", mBTstr4);
    if (mBTstr2 == "PL") setPrivateString("Winamp Defix", "MainBtn2", mBTstr4);
    if (mBTstr3 == "PL") setPrivateString("Winamp Defix", "MainBtn3", mBTstr4);
	
	setPrivateString("Winamp Defix", "MainBtn4", "PL");
	
	}
	
	else if (result == 3) 
    {
			
	if (mBTstr1 == "ML") setPrivateString("Winamp Defix", "MainBtn1", mBTstr4);
    if (mBTstr2 == "ML") setPrivateString("Winamp Defix", "MainBtn2", mBTstr4);
    if (mBTstr3 == "ML") setPrivateString("Winamp Defix", "MainBtn3", mBTstr4);
	
	setPrivateString("Winamp Defix", "MainBtn4", "ML");
		
	}
	
	else if (result == 4)
    {
	
	if (mBTstr1 == "EQ") setPrivateString("Winamp Defix", "MainBtn1", mBTstr4);
    if (mBTstr2 == "EQ") setPrivateString("Winamp Defix", "MainBtn2", mBTstr4);
    if (mBTstr3 == "EQ") setPrivateString("Winamp Defix", "MainBtn3", mBTstr4);
	
	setPrivateString("Winamp Defix", "MainBtn4", "EQ");	
	
    }
	
	else if (result == 5)
    {
	
	if (mBTstr1 == "VS") setPrivateString("Winamp Defix", "MainBtn1", mBTstr4);
    if (mBTstr2 == "VS") setPrivateString("Winamp Defix", "MainBtn2", mBTstr4);
    if (mBTstr3 == "VS") setPrivateString("Winamp Defix", "MainBtn3", mBTstr4);
	
	setPrivateString("Winamp Defix", "MainBtn4", "VS");
		
    }
	
	else if (result == 6)
    {
			
	if (mBTstr1 == "BR") setPrivateString("Winamp Defix", "MainBtn1", mBTstr4);
    if (mBTstr2 == "BR") setPrivateString("Winamp Defix", "MainBtn2", mBTstr4);
    if (mBTstr3 == "BR") setPrivateString("Winamp Defix", "MainBtn3", mBTstr4);
	
	setPrivateString("Winamp Defix", "MainBtn4", "BR");
		
    }
	
	SetBTN();
	
	
}


SetBTN()

{
 
 mBtnVid.hide();
  mBtnPL.hide();
   mBtnEq.hide();
    mBtnML.hide();
	 mBtnBr.hide();
	  mBtnVis.hide();
 
 	tPL.hide();
	tML.hide();
	tVD.hide();
	tVS.hide();
	tBR.hide();
	tEQ.hide();
	
 
	if (lettering_bt.getData() == "1") contBT.show(); 
	else if (lettering_bt.getData() == "0") contBT.hide(); 
 
 String mBTstr1 = getPrivateString("Winamp Defix", "MainBtn1", "");
 String mBTstr2 = getPrivateString("Winamp Defix", "MainBtn2", "");
 String mBTstr3 = getPrivateString("Winamp Defix", "MainBtn3", "");
 String mBTstr4 = getPrivateString("Winamp Defix", "MainBtn4", "");
 
 if (mBTstr1 == "Video"){    
   
    ConfBT1.setxmlParam("image", "PLAYER.But.vd.norm");	
	ConfBT1.setxmlParam("downImage", "PLAYER.But.vd.press");
   
	mBtnVid.setxmlParam("x", "22");	
	mBtnVid.show(); 
	
	
	if (lettering_bt.getData() == "1")
    {  
	tVD.setxmlParam("x", "20");	
	tVD.show(); 
	}
	}
	
  else if (mBTstr1 == "PL"){    
   
    ConfBT1.setxmlParam("image", "PLAYER.But.pl.norm");	
	ConfBT1.setxmlParam("downImage", "PLAYER.But.pl.press");
   
	mBtnPL.setxmlParam("x", "22");	
	mBtnPL.show();
	
	if (lettering_bt.getData() == "1")
    {  
	tPL.setxmlParam("x", "20");	
	tPL.show();
	}
	}
	
  else if (mBTstr1 == "ML"){    
   
    ConfBT1.setxmlParam("image", "PLAYER.But.ml.norm");	
	ConfBT1.setxmlParam("downImage", "PLAYER.But.ml.press");	
		
   
	mBtnML.setxmlParam("x", "22");	
	mBtnML.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tML.setxmlParam("x", "20");	
	tML.show();
	}
	}
  
  else if (mBTstr1 == "EQ"){    
   
    ConfBT1.setxmlParam("image", "PLAYER.But.eq.norm");	
	ConfBT1.setxmlParam("downImage", "PLAYER.But.eq.press");	
   
	mBtnEq.setxmlParam("x", "22");	
	mBtnEq.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tEQ.setxmlParam("x", "20");	
	tEQ.show();
	}
	}
	
  else if (mBTstr1 == "VS"){    
   
    ConfBT1.setxmlParam("image", "PLAYER.But.vs.norm");	
	ConfBT1.setxmlParam("downImage", "PLAYER.But.vs.press");
   
	mBtnVis.setxmlParam("x", "22");	
	mBtnVis.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tVS.setxmlParam("x", "20");	
	tVS.show();
	}
	}
	

  else if (mBTstr1 == "BR"){    
   
    ConfBT1.setxmlParam("image", "PLAYER.But.br.norm");	
	ConfBT1.setxmlParam("downImage", "PLAYER.But.br.press");
   
	mBtnBr.setxmlParam("x", "22");	
	mBtnBr.show();

	if (lettering_bt.getData() == "1")
    {  
	tBR.setxmlParam("x", "20");	
	tBR.show();
	}
	}

  
  if (mBTstr2 == "Video"){    
   
    ConfBT2.setxmlParam("image", "PLAYER.But.vd.norm");	
	ConfBT2.setxmlParam("downImage", "PLAYER.But.vd.press");
   
	mBtnVid.setxmlParam("x", "71");	
	mBtnVid.show(); 
	

	if (lettering_bt.getData() == "1")
    {  
	tVD.setxmlParam("x", "69");	
	tVD.show();
	}
	
	}
	
  else if (mBTstr2 == "PL"){    
   
    ConfBT2.setxmlParam("image", "PLAYER.But.pl.norm");	
	ConfBT2.setxmlParam("downImage", "PLAYER.But.pl.press");
   
	mBtnPL.setxmlParam("x", "71");	
	mBtnPL.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tPL.setxmlParam("x", "69");	
	tPL.show();
	}

	}
	
  else if (mBTstr2 == "ML"){    
   
    ConfBT2.setxmlParam("image", "PLAYER.But.ml.norm");	
	ConfBT2.setxmlParam("downImage", "PLAYER.But.ml.press");	
		
   
	mBtnML.setxmlParam("x", "71");	
	mBtnML.show(); 
	
	
	if (lettering_bt.getData() == "1")
    {  
	tML.setxmlParam("x", "69");	
	tML.show();
	}
	
	}
  
  else if (mBTstr2 == "EQ"){    
   
    ConfBT2.setxmlParam("image", "PLAYER.But.eq.norm");	
	ConfBT2.setxmlParam("downImage", "PLAYER.But.eq.press");	
   
	mBtnEq.setxmlParam("x", "71");	
	mBtnEq.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tEQ.setxmlParam("x", "69");	
	tEQ.show();
	}
	
	}
	
  else if (mBTstr2 == "VS"){    
   
    ConfBT2.setxmlParam("image", "PLAYER.But.vs.norm");	
	ConfBT2.setxmlParam("downImage", "PLAYER.But.vs.press");
   
	mBtnVis.setxmlParam("x", "71");	
	mBtnVis.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tVS.setxmlParam("x", "69");	
	tVS.show();
	}
	
	}
	

  else if (mBTstr2 == "BR"){    
   
    ConfBT2.setxmlParam("image", "PLAYER.But.br.norm");	
	ConfBT2.setxmlParam("downImage", "PLAYER.But.br.press");
   
	mBtnBr.setxmlParam("x", "71");	
	mBtnBr.show(); 
	
	
	if (lettering_bt.getData() == "1")
    {  
	tBR.setxmlParam("x", "69");	
	tBR.show();
	}
	
	}

 if (mBTstr3 == "Video"){    
   
    ConfBT3.setxmlParam("image", "PLAYER.But.vd.norm");	
	ConfBT3.setxmlParam("downImage", "PLAYER.But.vd.press");
   
	mBtnVid.setxmlParam("x", "120");	
	mBtnVid.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tVD.setxmlParam("x", "118");	
	tVD.show();
	}
	
	}
	
  else if (mBTstr3 == "PL"){    
   
    ConfBT3.setxmlParam("image", "PLAYER.But.pl.norm");	
	ConfBT3.setxmlParam("downImage", "PLAYER.But.pl.press");
   
	mBtnPL.setxmlParam("x", "120");	
	mBtnPL.show();

	if (lettering_bt.getData() == "1")
    {  
	tPL.setxmlParam("x", "118");	
	tPL.show();
	}
	}
	
  else if (mBTstr3 == "ML"){    
   
    ConfBT3.setxmlParam("image", "PLAYER.But.ml.norm");	
	ConfBT3.setxmlParam("downImage", "PLAYER.But.ml.press");	
		
   
	mBtnML.setxmlParam("x", "120");	
	mBtnML.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tML.setxmlParam("x", "118");	
	tML.show();
	}
	}
  
  else if (mBTstr3 == "EQ"){    
   
    ConfBT3.setxmlParam("image", "PLAYER.But.eq.norm");	
	ConfBT3.setxmlParam("downImage", "PLAYER.But.eq.press");	
   
	mBtnEq.setxmlParam("x", "120");	
	mBtnEq.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tEQ.setxmlParam("x", "118");	
	tEQ.show();
	}
	}
	
  else if (mBTstr3 == "VS"){    
   
    ConfBT3.setxmlParam("image", "PLAYER.But.vs.norm");	
	ConfBT3.setxmlParam("downImage", "PLAYER.But.vs.press");
   
	mBtnVis.setxmlParam("x", "120");	
	mBtnVis.show();

	if (lettering_bt.getData() == "1")
    {  
	tVS.setxmlParam("x", "118");	
	tVS.show();
	}
	}
	

  else if (mBTstr3 == "BR"){    
   
    ConfBT3.setxmlParam("image", "PLAYER.But.br.norm");	
	ConfBT3.setxmlParam("downImage", "PLAYER.But.br.press");
   
	mBtnBr.setxmlParam("x", "120");	
	mBtnBr.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tBR.setxmlParam("x", "118");	
	tBR.show();
	}
	}
	
	
	
   if (mBTstr4 == "Video"){    
   
    ConfBT4.setxmlParam("image", "PLAYER.But.vd.norm");	
	ConfBT4.setxmlParam("downImage", "PLAYER.But.vd.press");
   
	mBtnVid.setxmlParam("x", "169");	
	mBtnVid.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tVD.setxmlParam("x", "167");	
	tVD.show();
	}
	}
	
  else if (mBTstr4 == "PL"){    
   
    ConfBT4.setxmlParam("image", "PLAYER.But.pl.norm");	
	ConfBT4.setxmlParam("downImage", "PLAYER.But.pl.press");
   
	mBtnPL.setxmlParam("x", "169");	
	mBtnPL.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tPL.setxmlParam("x", "167");	
	tPL.show();
	}
	}
	
  else if (mBTstr4 == "ML"){    
   
    ConfBT4.setxmlParam("image", "PLAYER.But.ml.norm");	
	ConfBT4.setxmlParam("downImage", "PLAYER.But.ml.press");	
		
	mBtnML.setxmlParam("x", "169");	
	mBtnML.show();	
	
	if (lettering_bt.getData() == "1")
    {  
	tML.setxmlParam("x", "167");	
	tML.show();
	}
	}
  
  else if (mBTstr4 == "EQ"){    
   
    ConfBT4.setxmlParam("image", "PLAYER.But.eq.norm");	
	ConfBT4.setxmlParam("downImage", "PLAYER.But.eq.press");	
   
	mBtnEq.setxmlParam("x", "169");	
	mBtnEq.show();

	if (lettering_bt.getData() == "1")
    {  
	tEQ.setxmlParam("x", "167");	
	tEQ.show();
	}
	
	}
	
  else if (mBTstr4 == "VS"){    
   
    ConfBT4.setxmlParam("image", "PLAYER.But.vs.norm");	
	ConfBT4.setxmlParam("downImage", "PLAYER.But.vs.press");
   
	mBtnVis.setxmlParam("x", "169");	
	mBtnVis.show();
	
	if (lettering_bt.getData() == "1")
    {  
	tVS.setxmlParam("x", "167");	
	tVS.show();
	}
	
	}
	

  else if (mBTstr4 == "BR"){    
   
    ConfBT4.setxmlParam("image", "PLAYER.But.br.norm");	
	ConfBT4.setxmlParam("downImage", "PLAYER.But.br.press");
   
	mBtnBr.setxmlParam("x", "169");	
	mBtnBr.show(); 
	
	if (lettering_bt.getData() == "1")
    {  
	tBR.setxmlParam("x", "167");	
	tBR.show();
	}
	
	}
	

}






































