/*---------------------------------------------------
-----------------------------------------------------
Filename:	init_appearance.m
Version:	2.2

Type:		maki/attrib definitions
Date:		28. Jun. 2007 - 22:08 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/mainmenu.maki
		scripts/visualizer.maki
		scripts/beatvisualization.maki
		scripts/shadesize.maki
		scripts/mcvcore.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif

#include "gen_pageguids.m"

Function initAttribs_Appearance();

#define CUSTOM_PAGE_APPEARANCE "{F1036C9C-3919-47ac-8494-366778CF10F9}"

Global ConfigAttribute vis_reflection_attrib;
Global ConfigAttribute timer_reflection_attrib;
Global ConfigAttribute menubar_main_attrib;
Global configAttribute beatvis_attrib;
Global configAttribute artist_info_buttons_attrib;
Global ConfigAttribute pl_tab_attrib;
Global ConfigItem custom_page_appearance;
Global ConfigAttribute playlist_search_attrib;
Global ConfigAttribute Video_info_attrib;
Global ConfigAttribute Right_tab_pos;

initAttribs_Appearance()
{

	initPages();

	custom_page_appearance = addConfigSubMenu(optionsmenu_page, "Appearance", CUSTOM_PAGE_APPEARANCE);


	addMenuSeparator(custom_page_appearance);
	
    pl_tab_attrib = custom_page_appearance.newAttribute("Album art on the tab panel", "1");
	Right_tab_pos = custom_page_appearance.newAttribute("Tab bar on the right", "1");
    Video_info_attrib = custom_page_appearance.newAttribute("Video info on infobox", "0");
}