/*---------------------------------------------------
-----------------------------------------------------
Filename:	load_handles.m

Type:		maki
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/suicore.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif

Function loadSUI (string content);
Function collectComponents();

Global timer tmr_collect;

System.onScriptLoaded ()
{
	startup = 1;
	initAttribs_windowpage();
	initAttribs_vis();
	
	initAttribs_Appearance();
	initVideo();


	


	player = getContainer("SUI");
	normal = player.getLayout("normal");
	sui_window = normal.findObject("sui.content");
	sui_components = sui_window.findObject("sui.components");

	h = getToken(getParam(),",",0);

	sui_vis = sui_components.findObject("wdh.vis");
	sui_vis_wdh = sui_components.findObject("wdh.vis.object");
	sui_video = sui_components.findObject("wdh.video");
	sui_ml = sui_components.findObject("wdh.ml");
	sui_pl = sui_components.findObject("wdh.pl");
	sui_brw = sui_components.findObject("wdh.browser");
	

	switch_video = sui_window.findObject("switch.video");
	switch_vis = sui_window.findObject("switch.vis");
	switch_ml = sui_window.findObject("switch.ml");
	switch_pl = sui_window.findObject("switch.pl");

	switch_brw = sui_window.findObject("switch.browser");






 sui_Close = normal.getObject("sui.Close");
	


	callbackTimer = new Timer;
	callbackTimer.setDelay(1);
	tempDisable = new Timer;
	tempDisable.setDelay(100);

	tmr_collect = new timer;
	tmr_collect.setDelay(2000);


	String window_content =  getPrivateString(getSkinName(), "Component", "Media Library");


	loadSUI(window_content);

	startup = 0;
}

System.onScriptUnloading ()
{


	delete callbackTimer;
	delete PSOVCTimer;
	delete tempDisable;
	delete tmr_collect;

	
}

loadSUI (string content)
{
	if (content == "Vis")
	{
		switchToVis();
	}
	else if (content == "Video")
	{
	
		switchToVideo();
	}
	else if (content == "Media Library")
	{
		
		switchToMl();
	}
	else if (content == "HELP_Skin")
	{
		
		switchToPl();
	}
	else if (content == "Browser")
	{
		
		switchToBrw();
	}
	
	
	else if (content == "Hidden")
	{
		
		switchToNoComp();
	}

}

